package sway

import (
	"context"
	"fmt"
	"testing"
)

func TestFind(t *testing.T) {
	root, err := GetTree(context.Background())
	if err != nil {
		t.Fatal(err)
	}

	for _, node := range root.FindAll(IsWorkspace) {
		fmt.Println(node.Type, node.Name)
	}
}
